Tax Codes
Manages tax codes used when coding Airwallex Spend transactions, such as expenses and bills.
POST /api/v1/accounting/tax_codes/createGET /api/v1/accounting/tax_codes/{id}GET /api/v1/accounting/tax_codesPOST /api/v1/accounting/tax_codes/{id}/update
Create a Tax CodeBeta
POST /api/v1/accounting/tax_codes/create
Creates a new tax code for coding Airwallex Spend transactions.
Tax rate value as a decimal percentage.
Unique identifier for this request to ensure idempotency. Generate a random UUID to prevent accidental duplication.
Tax code name as defined in the accounting system.
External ID from the accounting system.
Legal entity IDs to which this tax code applies. Omit this field when it applies to all legal entities.
Airwallex display name for the tax code.
Time at which the tax code was created, in ISO 8601 format.
External ID from the accounting system.
Unique identifier of the tax code.
Legal entity IDs to which this tax code applies. Omit this field when it applies to all legal entities.
Tax rate value as a decimal percentage.
Status of an Accounting resource used in Airwallex Spend.
ACTIVEARCHIVEDTime at which the tax code was last updated, in ISO 8601 format.
Tax code name as defined in the accounting system.
Airwallex display name for the tax code.
| Error status | Description |
|---|---|
| 400 | Invalid request. |
| 500 | Internal server error. |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/accounting/tax_codes/create' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "request_id": "4b8d83d6-70c4-429d-8a0b-bb3281f6b17f",> "value": "9",> "rate_percent": "9.0000",> "value_label": "9%",> "external_id": "9",> "legal_entity_ids": [> "le_U3jlHqQRNHWn2zAKeeT8sg"> ]>}'
1{2 "id": "985461d5-016f-4e1f-a387-5f1380b42d92",3 "value": "9",4 "rate_percent": "9.0000",5 "value_label": "9%",6 "external_id": "9",7 "legal_entity_ids": [8 "le_U3jlHqQRNHWn2zAKeeT8sg"9 ],10 "status": "ACTIVE",11 "created_at": "2025-01-01T00:00:00Z",12 "updated_at": "2025-01-01T00:00:00Z"13}
Retrieve a Tax CodeBeta
GET /api/v1/accounting/tax_codes/{id}
Retrieves an existing tax code used in Airwallex Spend.
Unique identifier of the tax code.
Time at which the tax code was created, in ISO 8601 format.
External ID from the accounting system.
Unique identifier of the tax code.
Legal entity IDs to which this tax code applies. Omit this field when it applies to all legal entities.
Tax rate value as a decimal percentage.
Status of an Accounting resource used in Airwallex Spend.
ACTIVEARCHIVEDTime at which the tax code was last updated, in ISO 8601 format.
Tax code name as defined in the accounting system.
Airwallex display name for the tax code.
| Error status | Description |
|---|---|
| 400 | Invalid request. |
| 404 | Not found. |
| 500 | Internal server error. |
$curl --request GET \> --url 'https://api.sandbox.airwallex.com/api/v1/accounting/tax_codes/985461d5-016f-4e1f-a387-5f1380b42d92' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "id": "985461d5-016f-4e1f-a387-5f1380b42d92",3 "value": "9",4 "rate_percent": "9.0000",5 "value_label": "9%",6 "external_id": "9",7 "legal_entity_ids": [8 "le_U3jlHqQRNHWn2zAKeeT8sg"9 ],10 "status": "ACTIVE",11 "created_at": "2025-01-01T00:00:00Z",12 "updated_at": "2025-02-02T00:00:00Z"13}
List all Tax CodesBeta
GET /api/v1/accounting/tax_codes
Returns tax codes used in Airwallex Spend, filtered by the specified query parameters.
Filter by external ID.
Filter by legal entity ID.
A bookmark for use in pagination to retrieve the next or previous page of results.
Filter by tax code status.
ACTIVEARCHIVEDList of tax codes returned.
Time at which the tax code was created, in ISO 8601 format.
Unique identifier of the tax code.
Tax rate value as a decimal percentage.
Status of an Accounting resource used in Airwallex Spend.
ACTIVEARCHIVEDTime at which the tax code was last updated, in ISO 8601 format.
Tax code name as defined in the accounting system.
External ID from the accounting system.
Legal entity IDs to which this tax code applies. Omit this field when it applies to all legal entities.
Airwallex display name for the tax code.
A pointer to the end of the page list used to retrieve the next page of results.
A pointer to the start of the page list used to retrieve the previous page of results.
| Error status | Description |
|---|---|
| 400 | Invalid request. |
| 500 | Internal server error. |
$curl --request GET \> --url 'https://api.sandbox.airwallex.com/api/v1/accounting/tax_codes' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "items": [3 {4 "id": "985461d5-016f-4e1f-a387-5f1380b42d92",5 "value": "9",6 "rate_percent": "9.0000",7 "value_label": "9%",8 "external_id": "9",9 "legal_entity_ids": [10 "le_U3jlHqQRNHWn2zAKeeT8sg"11 ],12 "status": "ACTIVE",13 "created_at": "2025-01-01T00:00:00Z",14 "updated_at": "2025-02-02T00:00:00Z"15 }16 ],17 "page_after": "eyJwYWdlIjoiMiJ9"18}
Update a Tax CodeBeta
POST /api/v1/accounting/tax_codes/{id}/update
Updates an existing tax code used in Airwallex Spend.
Unique identifier of the tax code.
Tax rate value as a decimal percentage.
Status of an Accounting resource used in Airwallex Spend.
ACTIVEARCHIVEDTax code name as defined in the accounting system.
External ID from the accounting system.
Legal entity IDs to which this tax code applies. Omit this field when it applies to all legal entities.
Airwallex display name for the tax code.
Time at which the tax code was created, in ISO 8601 format.
External ID from the accounting system.
Unique identifier of the tax code.
Legal entity IDs to which this tax code applies. Omit this field when it applies to all legal entities.
Tax rate value as a decimal percentage.
Status of an Accounting resource used in Airwallex Spend.
ACTIVEARCHIVEDTime at which the tax code was last updated, in ISO 8601 format.
Tax code name as defined in the accounting system.
Airwallex display name for the tax code.
| Error status | Description |
|---|---|
| 400 | Invalid request. |
| 404 | Not found. |
| 500 | Internal server error. |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/accounting/tax_codes/985461d5-016f-4e1f-a387-5f1380b42d92/update' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "value": "9",> "rate_percent": "9.0000",> "value_label": "9%",> "external_id": "9",> "legal_entity_ids": [> "le_U3jlHqQRNHWn2zAKeeT8sg"> ],> "status": "ACTIVE">}'
1{2 "id": "985461d5-016f-4e1f-a387-5f1380b42d92",3 "value": "9",4 "rate_percent": "9.0000",5 "value_label": "9%",6 "external_id": "9",7 "legal_entity_ids": [8 "le_U3jlHqQRNHWn2zAKeeT8sg"9 ],10 "status": "ACTIVE",11 "created_at": "2025-01-01T00:00:00Z",12 "updated_at": "2025-02-02T00:00:00Z"13}